#!/bin/sh
#
# Scripted By JoungKyun <admin@oops.org>
#

# Source function library.
. /etc/rc.d/init.d/functions

# ICECAST information
shout_pass="icecast"
host="localhsot"

# UID check
if [ "$USER" != "root" ] ; then
  echo "#"
  echo "# Start script v0.2 for ICECAST package"
  echo "# Scripted By JoungKyun <admin@oops.org>"
  echo "#"
  echo

  if [ "$LANG" = "ko" ]; then
    echo "㰡 üũ : $USER"
    echo "ICECAST Root user Ҽ ֽϴ."
    exit 1
  else
    echo "Permition check : $USER"
    echo "ICECAST must be excute by Root user"
    exit 1
  fi
fi

case "$1" in
  start)
    if [ "$2" != "no" ]; then
      echo "#"
      echo "# Start script v0.1 for ICECAST package"
      echo "# Scripted By JoungKyun <admin@oops.org>"
      echo "#"
      echo
    fi

    echo -n "Starting Icecast:	"
    if [ -d $logdir ] ; then
      cd $logdir
    else
      if [ "$LANG" = "ko" ]; then
        sleep 2
        echo "$logdir   ʽϴ."
        exit 1
      else
        sleep 2
        echo "Don't exist directory $logdir"
        exit 1
      fi
    fi

    if [ -f $lockdir/icecast ]; then
      if [ "$LANG" = "ko" ]; then
        echo "ICECAST  ̹ ǰ ֽϴ"
        exit 1
      else
        echo "ICECAST already excuted"
        exit 1
      fi
    else
      daemon icecast -b
      touch $lockdir/icecast > /dev/null 2>&1
    fi

    echo
    echo -n "Starting Shout:	"

    if [ -f $lockdir/shout ]; then
      if [ "$LANG" = "ko" ]; then
        echo "SHOUT  ̹ ǰ ֽϴ"
        exit 1
      else
        echo "SHOUT already excuted"
        exit 1
      fi
    fi

    if [ -f $listdir/playlist ]; then
      daemon shout $host -z
      touch /var/lock/subsys/shout > /dev/null 2>&1
    else
      if [ "$LANG" = "ko" ]; then
        echo "[ Failed ] playlist file  ʽϴ"
        exit 1
      else
        echo "[ Failed ] No exist playlist file"
        exit 1
      fi
    fi
    sleep 2 && echo
    ;;
  stop)
    echo "#"
    echo "# Start script v0.2 for ICECAST package"
    echo "# Scripted By JoungKyun <admin@oops.org>"
    echo "#"
    echo
    echo -n "Shutting down SHOUT:	"
    killall -9 shout > /dev/null 2>&1
    rm -f /var/lock/subsys/shout
    sleep 2
    echo "[ OK ]"
    echo -n "Shutting down ICECAST:	"
    killall -9 icecast > /dev/null 2>&1
    rm -f $lockdir/icecast
    sleep 2
    echo "[ OK ]"
    ;;
  restart)
    $0 stop
    $0 start no
    ;;
  *)
    if [ "$LANG" = "ko" ]; then
      echo ": $0 {start|stop|restart}"
      exit 1
    else
      echo "Usage: $0 {start|stop|restart}"
      exit 1
    fi
    ;;
esac

exit 0
